#/bin/bash

echo 
echo "Used 'Segoe Print Bold' in GIMP at 70pt to generate main 'Greenstone://' image"
echo


cd i-jetty-3.1/i-jetty-ui

jfiles=`find res -name "*jetty*"`

for jfile in $jfiles ; do
  if [ ! -e before-rebranding/$jfile ] ; then
    gfile=`echo $jfile | sed 's/jetty/greenstone/g'`

    echo "Rebranding file ${jfile##*/} to  ${gfile##*/}"

    jdir=${jfile%/*}

    if [ ! -d before-rebranding/$jdir ] ; then
      mkdir -p before-rebranding/$jdir
    fi

    # Take copy before move for purposes of restore
    /bin/cp $jfile before-rebranding/$jfile

    /bin/mv $jfile $gfile
  fi
done

jfiles=`fgrep -rl 'jetty' res src`
for jfile in $jfiles ; do

  if [ ! -e before-rebranding2/$jfile ] ; then
    echo "Rebranding content for ${jfile##*/} from 'jetty' to 'greenstone'"

    jdir=${jfile%/*}

    if [ ! -d before-rebranding2/$jdir ] ; then
      mkdir -p before-rebranding2/$jdir
    fi

    /bin/mv $jfile before-rebranding2/$jfile
  
    cat before-rebranding2/$jfile \
      | sed 's/jetty/greenstone/g' \
      | sed 's/i-Jetty/i-Greenstone/g' \
      | sed 's/org.eclipse.greenstone/org.eclipse.jetty/g' \
      | sed 's/mortbay.igreenstone/mortbay.ijetty/g' > $jfile.rebranded

    if [ $jfile == "res/values/strings.xml" ] ; then
      cat $jfile.rebranded | sed 's/Jetty/Greenstone/g' > $jfile.rebranded2
      /bin/mv $jfile.rebranded2 $jfile.rebranded
    fi


    /bin/mv $jfile.rebranded $jfile
  fi

done



cd ../..


echo 
echo "***"
echo "* Now compile the i-jetty source code with:"
echo "*   ./COMPILE.sh"
echo "***"
echo


